## wwwstat 2.0

=== Makefile ===
# This Makefile is used to configure the perl scripts so that
# they all use the correct pathname for the perl interpreter.
# It also makes the programs executable and creates links from "GET"
# to the other commonly-used methods.  Use the following command:
#
#     % make all
#
# You need to change the following line to the full pathname
# of your perl interpreter

PERLBIN = /usr/local/bin/perl

# and here are a some commands that may be system-dependent

COPY    = cp -p

# The rest should be automatic

CLIENTS = wwwstat wwwerrs monthly splitlog oldlog2new
LIBS    = domains.pl wwwstat.rc splitlog.rc

.SUFFIXES:
.SUFFIXES: .pl $(SUFFIXES)

all: $(CLIENTS)

.pl:
	cp $*.pl $*
	$(PERLBIN) -pi -e 's#YOUR_PERL_BINARY#$(PERLBIN)#o;' $*
	chmod 755 $*

#
# A "make clean" removes what "make all" produced
#

clean:
	$(RM) $(CLIENTS)

=== debian/changelog ===
wwwstat (2.0-7) unstable; urgency=low

  * Update the copyright file:
    - add a dot to fix the formatting
    - update to the latest DEP 5 candidate format
    - change "Artistic (old)" to "Artistic-1.0"
    - bump the year on my copyright notice
  * Convert the packaging to Git and change the Vcs-* URLs to Gitorious.
  * Add the 09-getopt patch to use Getopt::Std instead of the Perl 4
    getopt library.  Closes: #659433
  * Bump Standards-Version to 3.9.3 with no changes.
  * Bump the debhelper compatibility level to 9 with no changes.
  * Add Multi-Arch: foreign to the binary package just in case.
  * Drop the version from the dependency on perl.

 -- Peter Pentchev <roam@ringlet.net>  Sat, 03 Mar 2012 01:48:24 +0200

wwwstat (2.0-6) unstable; urgency=low

  * Convert to the 3.0 (quilt) source format:
    - drop the quilt build dependency
    - adjust the debhelper dependency's version to plain 7 now that there is
      no use for override rules at all
    - remove the README.source file
  * Use perl:Depends instead of plain "perl" in the control file.
  * Bump Standards-Version to 3.9.1 with no changes.
  * Do not install the Changes file - it's installed as changelog.gz already
  * Add a doc-base control file.
  * Update the copyright file to the latest revision of the DEP 5 proposed
    format and bump the year on my copyright notice.
  * Shorten the Vcs-Browser URL.
  * Add DEP 3 patch headers.
  * Rework the patches a bit:
    - rename the 01-Makefile patch to 01-debian
    - bring the 06-default-log patch into the Debian-specific 01-debian patch
    - break out the *.rc config files into separate real files in the debian/
      subdirectory and install them using dh_install, not the Makefile
    - combine the three *.rc support patches into the 03-config-files patch
    - use dh_install to install the binaries and libraries, too
    - split the 02-wwwstat patch into 02-eof-defined and 07-optimize
    - break out the percentage calculations into a separate function, too
    - mark the 02-eof-defined, 03-config-files, and 07-optimize patches as
      forwarded upstream
  * Add the upstream daily/nodaily parsing patch as 08-wwwstat-2.01.

 -- Peter Pentchev <roam@ringlet.net>  Fri, 06 Aug 2010 17:58:49 +0300

wwwstat (2.0-5) unstable; urgency=low

  * New maintainer.  Closes: #519383
  * Use quilt for patch management.
  * Add a watchfile.
  * Move debhelper from B-D-I to B-D - used in the "clean" target.
  * Move the manual pages to separate files under debian/ instead of
    creating them from a patch.
  * Correct the copyright statements on the manual pages.
  * Use wwwstat.manpages and do not pass -A to dh_installman.
  * Fix a couple of hyphens in the oldlog2new.8 manual page.
  * Add the Homepage, Vcs-Svn, and Vcs-Browser fields.
  * Bump the debhelper compatibility version to 7:
    - add misc:Depends to the binary package
    - minimize the rules file using debhelper's override targets
  * Bump Standards-Version to 3.8.1:
    - add the README.source file mentioning the use of quilt
  * Update the copyright file:
    - convert it to the machine-parseable format
    - add my copyright notice on the Debian packaging
    - elaborate on the need to quote the package's LICENSE file verbatim;
      wwwstat is licensed under the old Artistic license, not the one
      included in common-licenses, so it must be spelled out in full
    - remove the note about common-licenses
  * Do not install the README file - it contains no useful info by itself.

 -- Peter Pentchev <roam@ringlet.net>  Mon, 06 Apr 2009 01:17:11 +0300

wwwstat (2.0-4) unstable; urgency=low

  * fixed some errors with testing $foo = <HANDLE> constructs

 -- Tim Peeler <thp@linuxforce.net>  Fri, 23 Dec 2005 08:46:16 -0500

wwwstat (2.0-3) unstable; urgency=low

  * Added option to skip sorting on low memory systems

 -- Tim Peeler <thp@linuxforce.net>  Tue, 21 Jun 2005 17:02:31 -0400

wwwstat (2.0-2) unstable; urgency=low

  * Fixups to the build process
  * Added undocumented manpages
  * Misc cleanups

 -- Tim Peeler <thp@linuxforce.net>  Tue, 16 Nov 2004 10:48:00 -0500

wwwstat (2.0-1) unstable; urgency=low

  * Initial Release.
  * closes: #280327

 -- Tim Peeler <thp@linuxforce.net>  Wed,  5 May 2004 06:27:07 -0500

=== debian/control ===
Source: wwwstat
Section: admin
Priority: optional
Maintainer: Peter Pentchev <roam@ringlet.net>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: perl
Standards-Version: 3.9.3
Homepage: http://ftp.ics.uci.edu/pub/websoft/wwwstat/
Vcs-Git: git://gitorious.org/wwwstat/wwwstat-pkg.git
Vcs-Browser: http://gitorious.org/wwwstat/wwwstat-pkg

Package: wwwstat
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: httpd logfile analysis package
 wwwstat processes a sequence of httpd Common Logfile Format access_log
 files and prior summary outputs, and then outputs a summary of
 the access statistics in a nice HTML format.
 .
 splitlog processes a sequence of httpd Common Logfile Format access_log
 files (or CLF with a one-field prefix) and splits the entries into
 separate files according to the requested URL and/or vhost prefix.

=== debian/rules ===
#!/usr/bin/make -f
# debhelper rules file for wwwstat, the httpd logfile analysis package

%:
	dh $@
